# BACKEND

## Installation

### Automated

Just run the following : 

```bash
chmod +x ./run.sh
./run.sh
```

### Manual
- Clone the project:
``` bash
git clone https://git.chauvet.pro/michel/ft_transcendence
cd ft_transcendence
```
- Create python virtual environnement.
``` bash
python3 -m venv .env
```
- Source the environnement.
``` bash
source .env/bin/activate
```
- Install the requirements
``` bash
pip install -r requirements.txt
```
- Setup database
```
python manage.py makemigrations games
python manage.py makemigrations profiles
python manage.py makemigrations chat
python manage.py makemigrations tournament
python manage.py migrate
```
- Start the developpement server
```
python manage.py runserver 0.0.0.0:8000
```

coc nvim
```
pip install django-stubs
```
